Package com.independentsoft.office.spreadsheet.tables

# Enum Class XmlDataType

java.lang.Object
java.lang.Enum<XmlDataType>
com.independentsoft.office.spreadsheet.tables.XmlDataType

All Implemented Interfaces:
  `Serializable`, `Comparable<XmlDataType>`, `Constable`

public enum XmlDataType extends Enum<XmlDataType>
The Enum XmlDataType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANY_TYPE`
  `ANY_URI`
  `BASE_64_ENCODED_BINARY`
  `BOOLEAN`
  `BYTE`
  `DATE`
  `DATE_TIME`
  `DECIMAL`
  `DOUBLE`
  `DURATION`
  `ENTITIES`
  `ENTITY`
  `FLOAT`
  `GREGORIAN_DAY`
  `GREGORIAN_MONTH`
  `GREGORIAN_MONTH_DAY`
  `GREGORIAN_YEAR`
  `GREGORIAN_YEAR_MONTH`
  `HEX_BINARY`
  `ID`
  `ID_REF`
  `ID_REFS`
  `INT`
  `INTEGER`
  `LANGUAGE`
  `LONG`
  `NAME`
  `NEGATIVE_INTEGER`
  `NM_TOKEN`
  `NM_TOKENS`
  `NON_COLONIZED_NAME`
  `NON_NEGATIVE_INTEGER`
  `NON_POSITIVE_INTEGER`
  `NONE`
  `NORMALIZED_STRING`
  `NOTATION`
  `POSITIVE_INTEGER`
  `QUALIFIED_NAME`
  `SHORT`
  `STRING`
  `TIME`
  `TOKEN`
  `UNSIGNED_BYTE`
  `UNSIGNED_INTEGER`
  `UNSIGNED_LONG`
  `UNSIGNED_SHORT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static XmlDataType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static XmlDataType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ANY_TYPE

    public static final XmlDataType ANY_TYPE

  - ### ANY_URI

    public static final XmlDataType ANY_URI

  - ### BASE_64_ENCODED_BINARY

    public static final XmlDataType BASE_64_ENCODED_BINARY

  - ### BOOLEAN

    public static final XmlDataType BOOLEAN

  - ### BYTE

    public static final XmlDataType BYTE

  - ### DATE

    public static final XmlDataType DATE

  - ### DATE_TIME

    public static final XmlDataType DATE_TIME

  - ### DECIMAL

    public static final XmlDataType DECIMAL

  - ### DOUBLE

    public static final XmlDataType DOUBLE

  - ### DURATION

    public static final XmlDataType DURATION

  - ### ENTITIES

    public static final XmlDataType ENTITIES

  - ### ENTITY

    public static final XmlDataType ENTITY

  - ### FLOAT

    public static final XmlDataType FLOAT

  - ### GREGORIAN_DAY

    public static final XmlDataType GREGORIAN_DAY

  - ### GREGORIAN_MONTH

    public static final XmlDataType GREGORIAN_MONTH

  - ### GREGORIAN_MONTH_DAY

    public static final XmlDataType GREGORIAN_MONTH_DAY

  - ### GREGORIAN_YEAR

    public static final XmlDataType GREGORIAN_YEAR

  - ### GREGORIAN_YEAR_MONTH

    public static final XmlDataType GREGORIAN_YEAR_MONTH

  - ### HEX_BINARY

    public static final XmlDataType HEX_BINARY

  - ### ID

    public static final XmlDataType ID

  - ### ID_REF

    public static final XmlDataType ID_REF

  - ### ID_REFS

    public static final XmlDataType ID_REFS

  - ### INT

    public static final XmlDataType INT

  - ### INTEGER

    public static final XmlDataType INTEGER

  - ### LANGUAGE

    public static final XmlDataType LANGUAGE

  - ### LONG

    public static final XmlDataType LONG

  - ### NAME

    public static final XmlDataType NAME

  - ### NON_COLONIZED_NAME

    public static final XmlDataType NON_COLONIZED_NAME

  - ### NEGATIVE_INTEGER

    public static final XmlDataType NEGATIVE_INTEGER

  - ### NM_TOKEN

    public static final XmlDataType NM_TOKEN

  - ### NM_TOKENS

    public static final XmlDataType NM_TOKENS

  - ### NON_NEGATIVE_INTEGER

    public static final XmlDataType NON_NEGATIVE_INTEGER

  - ### NON_POSITIVE_INTEGER

    public static final XmlDataType NON_POSITIVE_INTEGER

  - ### NORMALIZED_STRING

    public static final XmlDataType NORMALIZED_STRING

  - ### NOTATION

    public static final XmlDataType NOTATION

  - ### POSITIVE_INTEGER

    public static final XmlDataType POSITIVE_INTEGER

  - ### QUALIFIED_NAME

    public static final XmlDataType QUALIFIED_NAME

  - ### SHORT

    public static final XmlDataType SHORT

  - ### STRING

    public static final XmlDataType STRING

  - ### TIME

    public static final XmlDataType TIME

  - ### TOKEN

    public static final XmlDataType TOKEN

  - ### UNSIGNED_BYTE

    public static final XmlDataType UNSIGNED_BYTE

  - ### UNSIGNED_INTEGER

    public static final XmlDataType UNSIGNED_INTEGER

  - ### UNSIGNED_LONG

    public static final XmlDataType UNSIGNED_LONG

  - ### UNSIGNED_SHORT

    public static final XmlDataType UNSIGNED_SHORT

  - ### NONE

    public static final XmlDataType NONE

- ## Method Details

  - ### values

    public static XmlDataType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static XmlDataType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null